> For the complete documentation index, see [llms.txt](https://docs.subsalt.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.subsalt.io/retrieving-data/projects.md).

# Projects

Subsalt allows you to set a project ID for a session as a data consumer. Queries for that session will be tagged with the project ID and auditable by organization administrators.

### Setting project IDs

To set your project ID via SQL, set the `subsalt.project_id` property in your SQL session prior to running your queries. For example:

```sql
SET subsalt.project_id TO "my_project";
```

#### Requiring projects

As an organization administrator, you can require that project IDs be set before any queries are issued. To do this, navigate to **Organizations > Projects** and enable the "Require projects" setting.

#### Auditing projects

As an organization administrator, you can audit projects in two ways:

#### **Summary**

To view a summary of queries issued for projects, navigate to **Organizations > Projects**.

These project summaries are grouped by:

* **Project:** The project ID
* **Organization:** The organization that the user belongs to
* **User:** The user that issued the query
* **Database:** The synthetic database that was queried

**Query-by-query**

To view a breakdown of queries issued for projects, navigate to Organization > Projects and click the "Download project query report" link.

This will download a CSV report of all queries issued that have been tagged with a project ID.

It will include the following information per row:

* **ProjectId:** The project ID
* **Organization:** The organization that the user belongs to
* **QueryId:** The internal ID of the query issued
* **UserId:** The internal ID of the user that issued the query
* **UserEmail:** The email of the user that issued the query
* **Database:** The synthetic database that was queried
* **QueryOutcome:** Whether or not the query was successful
* **QueryRequestedAt:** When the user issued the query (UTC date time)
* **QueryExecutionStartedAt:** When the query started to execute (UTC date time)
* **QueryExecutionCompletedAt:** When the query completed execution (UTC date time)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.subsalt.io/retrieving-data/projects.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
